SOLLYA(1)

NAME
sollya - tool environment for safe floating-point code development -- command-line interface

SYNOPSIS
sollya [options]

DESCRIPTION
sollya is both a tool environment and a library for safe floating-point code development. It is particularly targeted to the automated implementation of mathematical floating-point libraries (libm). Amongst other features, it offers a certified infinity (supremum) norm and a fast Remez algorithm.

OPTIONS

--args
    transmit the following arguments verbatim to the interpreter

--donotmodifystacksize
    do not attempt to set the maximal stack size to the maximum size allowed on the system

--flush
    flush standard output and standard error after each command

--help
    print this help text

--nocolor
    do not color the output using ANSI escape sequences

--noprompt
    do not print a prompt symbol

--oldautoprint
    print commas between autoprinted elements separated by commas

--oldexternalprocprint
    print the signature of an external procedure when autoprinting

--oldrlwrapcompatible
    achieve some compatibility with old rlwrap versions by emitting wrong ANSI sequences (deprecated)

--version
    print the version of Sollya, plus the copyright, the list of authors and the no warranty notice

--warninfile[append] <file>
    print warning messages into a file instead on the standard output

--warnonstderr
    print warning messages on error output instead on the standard output

For help on sollya commands type "help;" on the sollya prompt. A complete documentation on sollya is available on the sollya website <http://sollya.org/>.

REPORTING BUGS
Report bugs to <sollya-devl@lists.gforge.inria.fr>

COPYRIGHT
Copyright 2006-2022 by

    Laboratoire de l'Informatique du Parallelisme, UMR CNRS - ENS Lyon - UCB Lyon 1 - INRIA 5668,

    LORIA (CNRS, INPL, INRIA, UHP, U-Nancy 2),

    Laboratoire d'Informatique de Paris 6, equipe PEQUAN, UPMC Universite Paris 06 - CNRS - UMR 7606 - LIP6, Paris, France,

    Laboratoire d'Informatique de Paris 6 - Équipe PEQUAN Sorbonne Universités UPMC Univ Paris 06 UMR 7606, LIP6 Boîte Courrier 169 4, place Jussieu F-75252 Paris Cedex 05 France,

    Sorbonne Université CNRS, Laboratoire d'Informatique de Paris 6, LIP6 F - 75005 Paris France,

    CNRS, LIP6, UPMC Sorbonne Universités, UPMC Univ Paris 06, CNRS, LIP6 UMR 7606, 4 place Jussieu 75005 Paris,

    University of Alaska Anchorage, College of Engineering

and by

    Centre de recherche INRIA Sophia Antipolis Mediterranee, Equipes APICS, FACTAS, Sophia Antipolis, France.

All rights reserved.

  Contributors:

    Ch. Lauter, S. Chevillard, M. Joldes, N. Jourdan, M. Mezzarobba, J. Benoit.

  License:

    This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".

    As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license, users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.

    In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software, that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured and, more generally, to use and operate it in the same conditions as regards security.

    The fact that you are presently reading this means that you have had knowledge of the CeCILL-C license and that you accept its terms.

    This program is distributed WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
rlwrap(1)